Subject: Re: bug#50268: 28.0.50; Assertion warning during native compilation

From: Michael Welsh Duggan <[email-masked]>
Date: Sun, 05 Sep 2021 11:31:10 -0400

I was able to determine that there was a bug in the pacproxy.el code
that I included in the bug report.  Fixing that bug caused native
compilation to work.  The assertion and backtrace were not particularly
useful in determining the bug in the code, though.  The bug was in the
`pacproxy--retrieve-wpad' function when I let-bound the following
illegal lambda:

  (lambda (&rest) "DIRECT")

The fix was to change this to:

  (lambda (&rest _) "DIRECT")

Is there another part of the compiler that could have caught this and
returned a useful diagnostic?

-- 
Michael Welsh Duggan
([email-masked])